catalog:
  title: Python MQTT

templates:
- freestyle
- base

variables:
  description: >-
    The MQTT protocol is a machine-to-machine (M2M)/'Internet of
    Things' connectivity protocol.
  keywords:
  - mqtt
  recipe.maintainer:
  - ffriese@techfak.uni-bielefeld.de

  extra-provides:
  - nature: freestyle
    target: python-mqtt

  platform-requires:
    ubuntu:
      xenial:
        packages:
        - mosquitto

  shell.command: |
    if(( pip2 --version | grep 'pip 8.' )); then
      pip2 install --ignore-installed --prefix=${toolkit.dir} --system 'paho-mqtt==${version-name}'
    else
      pip2 install --ignore-installed --prefix=${toolkit.dir} 'paho-mqtt==${version-name}'
    fi

versions:
- name: 1.3.1
